import { FormEvent } from "react";
import { allWines, insertWine, allProducers } from "~/server/db";
import CreateWine from "./CreateWine";

export const dynamic = "force-dynamic";

function WineCards() {
  return (
    <>
      {allWines.map((wine) => (
        <div key={wine.id}>
          {wine.name} - {wine.producer}
        </div>
      ))}
    </>
  );
}

export default async function HomePage() {
  return (
    <main className="">
      <div className="container ">
        <h1>Yes hello</h1>
        {/* <CreateWine  /> */}
        <WineCards />
      </div>
    </main>
  );
}
